# A helper to define template parameters

A helper to define template parameters

    seqSettings(settings = NULL, granges = NULL, seqId = NULL, seq = NULL)

## Arguments

settings | a list with predefined parameters
granges | A `GRanges` object with `seq` column. It can include one or two elements. In the case of two, the sequences are concatenated and one of the primers will be forced two overlap the splice junction.
seqId | a character name for the sequence
seq | (if gr is NULL) a character vector of length 1 or 2. In the case of two sequences, they are treated as consequent exons and either of two primers will be forced two overlap the splice junction.

## Value

a named list with all template parameters (with defaults for the ones not specified in the `seqOpts` or in the function arguments. The function arguments, i.e. `seq1` etc. overwrite the ones provided in the `seqOpts`.

## Examples

    seqOpts <- seqSettings(seqId = "seq1", seq = "AATCTGAATCGCGCTTAAAGCTA")